Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing
Class NoSuchAuthorityCodeException

    Object
      Throwable
          Exception
              FactoryException
                  NoSuchAuthorityCodeException

All Implemented Interfaces:
  Serializable

    public class NoSuchAuthorityCodeException

extends FactoryException

Thrown when an authority factory can't find the requested authority code.

Since:
  GeoAPI 1.0
See Also:
  `DatumAuthorityFactory`, `CRSAuthorityFactory`, Serialized Form

Constructor Summary
`NoSuchAuthorityCodeException(String message, String authority, String code)` Construct an exception with the specified detail message and authority code.

Method Summary
`String` | `getAuthority()` Returns the authority.
`String` | `getAuthorityCode()` Returns the invalid authority code.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchAuthorityCodeException

    public NoSuchAuthorityCodeException(String message,
                                        String authority,
                                        String code)

  Construct an exception with the specified detail message and authority code.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `authority` - The authority.
    `code` - The invalid authority code.

Method Detail

### getAuthority

    public String getAuthority()

  Returns the authority.

### getAuthorityCode

    public String getAuthorityCode()

  Returns the invalid authority code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.